enum PageType {
  top,
  category,
  search,
  item,
  cart,
  cartForm,
  conversion,
  mypage,
  login,
  registrationForm,
  registration,
}

extension PageTypeEx on PageType {
  static final Map<PageType, String> _names = {
    PageType.top: 'top',
    PageType.category: 'category',
    PageType.search: 'search',
    PageType.item: 'item',
    PageType.cart: 'cart',
    PageType.cartForm: 'cart_form',
    PageType.conversion: 'conversion',
    PageType.mypage: 'mypage',
    PageType.login: 'login',
    PageType.registrationForm: 'registration_form',
    PageType.registration: 'registration',
  };

  String get name {
    return _names[this] ?? '';
  }
}
